# Route

A route models the path going from one location to at least one other location.

## Calculate and create a new route

 - [POST /route/calculate:georeferences](https://docs.transportial.com/apis/route/handle_3.md): Calculate and create a new route based on Vehicle and the Georeferences

## Get route

 - [GET /route/{id}](https://docs.transportial.com/apis/route/handle_10.md): Get a route on id

## Delete route

 - [DELETE /route/{id}](https://docs.transportial.com/apis/route/handle_277.md): Delete a route

## Get routes

 - [GET /routes/{offset}/{amount}](https://docs.transportial.com/apis/route/handle_243.md): Get list of routes

## Search routes

 - [POST /routes/{offset}/{amount}](https://docs.transportial.com/apis/route/handle_131.md): Search list of routes based on query

## Update route

 - [PUT /route](https://docs.transportial.com/apis/route/handle_276.md): Update a route

## Create route

 - [POST /route](https://docs.transportial.com/apis/route/handle_432.md): Create a new route

## Calculate and create a new route

 - [POST /route/calculate](https://docs.transportial.com/apis/route/handle_492.md): Calculate and create a new route based on Vehicle and the Georeferences

